Index: sasmodels/weights.py
===================================================================
--- sasmodels/weights.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/weights.py	(revision 3d5824792e80506c5c40f05fb2ddc2234a8acedf)
@@ -97,4 +97,18 @@
         return x, px
 
+class UniformDispersion(Dispersion):
+    r"""
+    Uniform dispersion, with width $\sigma$.
+
+    .. math::
+
+        w = 1
+    """
+    type = "uniform"
+    default = dict(npts=35, width=0, nsigmas=None)
+    def _weights(self, center, sigma, lb, ub):
+        x = np.linspace(center-sigma, center+sigma, self.npts)
+        x = x[(x >= lb) & (x <= ub)]
+        return x, np.ones_like(x)
 
 class RectangleDispersion(Dispersion):
@@ -107,10 +121,9 @@
     """
     type = "rectangle"
-    default = dict(npts=35, width=0, nsigmas=1.70325)
-    def _weights(self, center, sigma, lb, ub):
-        x = self._linspace(center, sigma, lb, ub)
-        x = x[np.fabs(x-center) <= np.fabs(sigma)*sqrt(3.0)]
-        return x, np.ones_like(x)
-
+    default = dict(npts=35, width=0, nsigmas=1.73205)
+    def _weights(self, center, sigma, lb, ub):
+         x = self._linspace(center, sigma, lb, ub)
+         x = x[np.fabs(x-center) <= np.fabs(sigma)*sqrt(3.0)]
+         return x, np.ones_like(x)
 
 class LogNormalDispersion(Dispersion):
@@ -190,4 +203,18 @@
         return x, px
 
+class BoltzmannDispersion(Dispersion):
+    r"""
+    Boltzmann dispersion, with $\sigma=k T/E$.
+
+    .. math::
+
+        w = \exp\left( -|x - c|/\sigma\right)
+    """
+    type = "boltzmann"
+    default = dict(npts=35, width=0, nsigmas=3)
+    def _weights(self, center, sigma, lb, ub):
+        x = self._linspace(center, sigma, lb, ub)
+        px = np.exp(-np.abs(x-center) / np.abs(sigma))
+        return x, px
 
 # dispersion name -> disperser lookup table.
@@ -196,8 +223,10 @@
 MODELS = OrderedDict((d.type, d) for d in (
     RectangleDispersion,
+    UniformDispersion,
     ArrayDispersion,
     LogNormalDispersion,
     GaussianDispersion,
     SchulzDispersion,
+    BoltzmannDispersion
 ))
 
Index: setup.py
===================================================================
--- setup.py	(revision 32e3c9bc7952e078b48a3a2ce4bd06b565d7326a)
+++ setup.py	(revision 1f991d6e4007acafaaf7edbc17c549a8b777d374)
@@ -1,6 +1,19 @@
-try:
-    from setuptools import setup
-except ImportError:
-    from distutils.core import setup
+import sys
+from setuptools import setup
+from setuptools.command.test import test as TestCommand
+
+class PyTest(TestCommand):
+    user_options = [('pytest-args=', 'a', "Arguments to pass to pytest")]
+
+    def initialize_options(self):
+        TestCommand.initialize_options(self)
+        self.pytest_args = ''
+
+    def run_tests(self):
+        import shlex
+        #import here, cause outside the eggs aren't loaded
+        import pytest
+        errno = pytest.main(shlex.split(self.pytest_args))
+        sys.exit(errno)
 
 def find_version(package):
@@ -48,10 +61,13 @@
         'sasmodels': ['*.c', '*.cl'],
     },
-    install_requires = [
+    install_requires=[
     ],
-    extras_require = {
+    extras_require={
         'OpenCL': ["pyopencl"],
         'Bumps': ["bumps"],
         'TinyCC': ["tinycc"],
     },
+    build_requires=['setuptools'],
+    test_requires=['pytest'],
+    cmdclass = {'test': PyTest},
 )
